Package org.eclipse.mat.report

# Annotation Type Renderer

@Target(TYPE) @Retention(RUNTIME) public @interface Renderer
Annotates a renderer describing what it accepts and it generates. Qualifies an `IOutputter`.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`target`
What the renderer generates.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`Class<? extends IResult>[]`
`result`
What the renderer accepts.

## Element Details

### target

String target
What the renderer generates.

Returns:
  for example "html" or "csv"

### result

Class<? extends IResult>[] result
What the renderer accepts.

Returns:
  an array of acceptable classes

Default:
  {org.eclipse.mat.query.IResult.class}